### Virtual Method

# Clutter Actor get_preferred_height

#### Declaration [src]

    void
    get_preferred_height (
      ClutterActor* self,
      gfloat for_width,
      gfloat* min_height_p,
      gfloat* natural_height_p
    )

#### Description [src]

Computes the requested minimum and natural heights for an actor, or if they are already computed, returns the cached values.

An actor may not get its request - depending on the layout manager that’s in effect.

A request should not incorporate the actor’s scale or translation; those transformations do not affect layout, only rendering.

#### Parameters

`for_width`

  Type: `gfloat`

  Available width to assume in computing desired height, or a negative value to indicate that no width is defined.

`min_height_p`

  Type: `gfloat*`

  Return location for minimum height, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`natural_height_p`

  Type: `gfloat*`

  Return location for natural height, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.